MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024660Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-02-25 11:092014-11-11 12:51
Reporterdln 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024660: Removing unused "generic" classes. Part 1
DescriptionIn scope of this issue next unused generic classes will be removed:

1) AppBlend_Line

2) AppBlend_SectionGenerator

3) AppCont_SurfLeastSquare

4) AppCont_TheLineTool

5) AppCont_TheSurfTool

6) AppParCurves_MLineToo

7) AppParCurves_Projection

8) ApproxInt_WLine

9) Approx_ComputeCSurface

10) Approx_TheLineTool

11) Blend_Iterator

12) Contap_ArcTool

13) Contap_SurfaceTool

14) Contap_TopolTool

15) Dynamic_EnumerationParameter

16) Dynamic_MethodInstance

17) Extrema_ExtPSOfRev

18) GProp_CurveTool

19) GProp_DomainTool

20) GProp_FaceTool
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028020)
dln (developer)
2014-02-25 11:15

Changes are ready for review in CR24660 branch.
(0028021)
abv (manager)
2014-02-25 11:49

I have no remarks; Igor please review on your side
(0028036)
ifv (developer)
2014-02-26 16:31

Ok to remove
(0028050)
mkv (tester)
2014-02-27 16:55

Dear BugMaster,

Branch CR24660 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 97bd3e3b3b3fa8d104df1ba90de6debdfa5e4227

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 382977920 / 382561432
Total CPU difference: 40848.74000000009 / 45146.74000000002

Testing on Windows:
Total MEMORY difference: 429077940 / 428907772
Total CPU difference: 30607.1875 / 34671.40625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 89f18cb9
Timestamp: 2014-02-18 08:44:54
Author: dln
Committer: apn
Details ] Diff ]
0024660: Removing unused "generic" classes. Part 1

In scope of this issue next unused generic classes will be removed:

1) AppBlend_Line

2) AppBlend_SectionGenerator

3) AppCont_SurfLeastSquare

4) AppCont_TheLineTool

5) AppCont_TheSurfTool

6) AppParCurves_MLineToo

7) AppParCurves_Projection

8) ApproxInt_WLine

9) Approx_ComputeCSurface

10) Approx_TheLineTool

11) Blend_Iterator

12) Contap_ArcTool

13) Contap_SurfaceTool

14) Contap_TopolTool

15) Dynamic_EnumerationParameter

16) Dynamic_MethodInstance

17) Extrema_ExtPSOfRev

18) GProp_CurveTool

19) GProp_DomainTool

20) GProp_FaceTool
mod - src/AppBlend/AppBlend.cdl Diff ] File ]
rm - src/AppBlend/AppBlend_Line.cdl Diff ] File ]
rm - src/AppBlend/AppBlend_Line.gxx Diff ] File ]
rm - src/AppBlend/AppBlend_Line.lxx Diff ] File ]
rm - src/AppBlend/AppBlend_SectionGenerator.cdl Diff ] File ]
rm - src/AppBlend/AppBlend_SectionGenerator.gxx Diff ] File ]
mod - src/AppCont/AppCont.cdl Diff ] File ]
rm - src/AppCont/AppCont_SurfLeastSquare.cdl Diff ] File ]
rm - src/AppCont/AppCont_SurfLeastSquare.gxx Diff ] File ]
rm - src/AppCont/AppCont_TheLineTool.cdl Diff ] File ]
rm - src/AppCont/AppCont_TheLineTool.gxx Diff ] File ]
rm - src/AppCont/AppCont_TheSurfTool.cdl Diff ] File ]
rm - src/AppCont/AppCont_TheSurfTool.gxx Diff ] File ]
mod - src/AppParCurves/AppParCurves.cdl Diff ] File ]
rm - src/AppParCurves/AppParCurves_MLineTool.cdl Diff ] File ]
rm - src/AppParCurves/AppParCurves_MLineTool.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Projection.cdl Diff ] File ]
rm - src/AppParCurves/AppParCurves_Projection.gxx Diff ] File ]
mod - src/Approx/Approx.cdl Diff ] File ]
mod - src/Approx/Approx_BSplComputeLine.cdl Diff ] File ]
mod - src/Approx/Approx_ComputeCLine.cdl Diff ] File ]
rm - src/Approx/Approx_ComputeCSurface.cdl Diff ] File ]
rm - src/Approx/Approx_ComputeCSurface.gxx Diff ] File ]
mod - src/Approx/Approx_ComputeLine.cdl Diff ] File ]
rm - src/Approx/Approx_TheLineTool.cdl Diff ] File ]
rm - src/Approx/Approx_TheLineTool.gxx Diff ] File ]
mod - src/ApproxInt/ApproxInt.cdl Diff ] File ]
rm - src/ApproxInt/ApproxInt_WLine.cdl Diff ] File ]
rm - src/ApproxInt/ApproxInt_WLine.gxx Diff ] File ]
mod - src/Blend/Blend.cdl Diff ] File ]
mod - src/Blend/Blend_CSWalking.cdl Diff ] File ]
mod - src/Blend/Blend_Extremity.cdl Diff ] File ]
rm - src/Blend/Blend_Iterator.cdl Diff ] File ]
rm - src/Blend/Blend_Iterator.gxx Diff ] File ]
mod - src/Blend/Blend_Walking.cdl Diff ] File ]
mod - src/Contap/Contap.cdl Diff ] File ]
mod - src/Contap/Contap_ArcFunction.cdl Diff ] File ]
rm - src/Contap/Contap_ArcTool.cdl Diff ] File ]
rm - src/Contap/Contap_ArcTool.gxx Diff ] File ]
mod - src/Contap/Contap_ContourGen.cdl Diff ] File ]
rm - src/Contap/Contap_SurfaceTool.cdl Diff ] File ]
rm - src/Contap/Contap_SurfaceTool.gxx Diff ] File ]
mod - src/Contap/Contap_SurfProps.cdl Diff ] File ]
rm - src/Contap/Contap_TopolTool.cdl Diff ] File ]
rm - src/Contap/Contap_TopolTool.gxx Diff ] File ]
mod - src/Dynamic/Dynamic.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_EnumerationParameter.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_EnumerationParameter.gxx Diff ] File ]
rm - src/Dynamic/Dynamic_MethodInstance.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_MethodInstance.gxx Diff ] File ]
mod - src/Extrema/Extrema.cdl Diff ] File ]
rm - src/Extrema/Extrema_ExtPSOfRev.cdl Diff ] File ]
rm - src/Extrema/Extrema_ExtPSOfRev.gxx Diff ] File ]
mod - src/GProp/GProp.cdl Diff ] File ]
mod - src/GProp/GProp_CGProps.cdl Diff ] File ]
rm - src/GProp/GProp_CurveTool.cdl Diff ] File ]
rm - src/GProp/GProp_CurveTool.gxx Diff ] File ]
rm - src/GProp/GProp_DomainTool.cdl Diff ] File ]
rm - src/GProp/GProp_DomainTool.gxx Diff ] File ]
rm - src/GProp/GProp_FaceTool.cdl Diff ] File ]
rm - src/GProp/GProp_FaceTool.gxx Diff ] File ]
mod - src/GProp/GProp_SGProps.cdl Diff ] File ]
mod - src/GProp/GProp_VGProps.cdl Diff ] File ]
mod - src/GProp/GProp_VGPropsGK.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-25 11:09 dln New Issue
2014-02-25 11:09 dln Assigned To => abv
2014-02-25 11:15 dln Note Added: 0028020
2014-02-25 11:15 dln Status new => resolved
2014-02-25 11:49 abv Note Added: 0028021
2014-02-25 11:49 abv Assigned To abv => ifv
2014-02-25 11:49 abv Category OCCT:Coding => OCCT:Modeling Algorithms
2014-02-26 16:31 ifv Note Added: 0028036
2014-02-26 16:31 ifv Status resolved => reviewed
2014-02-26 17:45 mkv Assigned To ifv => mkv
2014-02-27 16:55 mkv Note Added: 0028050
2014-02-27 16:55 mkv Test case number => Not needed
2014-02-27 16:55 mkv Assigned To mkv => bugmaster
2014-02-27 16:55 mkv Status reviewed => tested
2014-03-03 13:25 apn Changeset attached => occt master 89f18cb9
2014-03-03 13:25 apn Assigned To bugmaster => apn
2014-03-03 13:25 apn Status tested => verified
2014-03-03 13:25 apn Resolution open => fixed
2014-04-04 12:06 abv Target Version 6.7.1 => 6.8.0
2014-04-10 14:48 kgv Relationship added child of 0024487
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker